aboutsummaryrefslogtreecommitdiffstats
path: root/test/ete/scripts/run-healthcheck.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/ete/scripts/run-healthcheck.sh')
-rwxr-xr-xtest/ete/scripts/run-healthcheck.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/test/ete/scripts/run-healthcheck.sh b/test/ete/scripts/run-healthcheck.sh
index 10811b500..057504efd 100755
--- a/test/ete/scripts/run-healthcheck.sh
+++ b/test/ete/scripts/run-healthcheck.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -x
SSH_KEY=~/.ssh/onap_key
@@ -13,6 +13,10 @@ cd $WORKSPACE/test/ete/scripts
ROBOT_IP=$(./get-floating-ip.sh onap-robot)
echo "ROBOT_IP=${ROBOT_IP}"
+if [ "" == "${ROBOT_IP}" ]; then
+ exit 1
+fi
+
ssh-keygen -R ${ROBOT_IP}
ssh -o StrictHostKeychecking=no -i ${SSH_KEY} root@${ROBOT_IP} "OS_PASSWORD_INPUT=$OS_PASSWORD_INPUT bash -s" < ./remote/run-robot.sh